@import "../../../shared/scss/color.scss";

.box {
  background-color: white;
  border: 1px solid #dddddd;
  box-shadow: 1px 1px 4px #dddddd;
  border-radius: 7px;
  .title {
    width: 100%;
    border-bottom: 1px solid #dddddd;
    p {
      transition: 0.3s all ease-in-out;
      font-size: 14px;
      font-weight: bold;
      text-align: right;
      color: #555555;
      width: 90%;
      margin: 0 auto;
      padding: 20px 0;
      a {
        color: #555555;
        transition: 0.4s all;
        fa-icon {
          font-size: 16px;
          margin-bottom: -4px;
        }
        &:hover {
          color: $aqua-color;
        }
      }
      span {
        font-size: 18px;
        font-weight: bold;
        padding: 0 7px;
      }
    }
  }
  .form {
    padding: 15px 0 0 0;
    ::placeholder {
      text-align: right !important;
      direction: rtl !important;
      font-size: 11px;
      color: #999999;
      font-weight: bold;
      padding-right: 5px;
    }
    .email,
    .password,
    .name,
    .family,
    .phone-number {
      position: relative;
      width: 90%;
      margin: 0 auto;
      padding: 7px 0;
      label {
        width: 100%;
        text-align: right;
        font-size: 12px;
        font-weight: bold;
        color: $description-color;
        padding: 6px 0;
        display: block;
        transition: 0.3s all;
      }
      input {
        display: block;
        width: 100%;
        border: 1px solid #bbbbbb;
        color: $description-color;
        font-size: 12px;
        font-weight: bold;
        height: 40px;
        border-radius: 7px;
        // background-image: url("../../../assets/images/icon\ png/user.png");
        background-repeat: no-repeat;
        background-size: 26px;
        padding: 7px 38px 7px 5px;
        background-position: 98% 50%;
        transition: 1s all;
        &:focus {
          outline: none;
          box-shadow: none;
        }
      }
    }

    .email {
      input {
        background-image: url("../../../../assets/images/icon\ png/mail.png");
        background-size: 18px;
        padding-right: 25px;
        background-position: 98% 50%;
      }
    }

    .phone-number {
      /* Other browser */
      input::-webkit-outer-spin-button,
      input::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
      }
      /* Firefox */
      input[type="number"] {
        -moz-appearance: textfield;
      }
      input {
        background-image: url("../../../../assets/images/icon\ png/mobile.png");
        background-size: 17px;
        padding-right: 25px;
      }
      p {
        font-size: 12px;
        font-weight: bold;
        color: red;
        padding: 7px;
        background-color: $background-color;
        border-radius: 7px;
        margin-top: 10px;
      }
    }

    .name {
      div {
        width: 50%;
        display: inline-block;
        padding-left: 6px;
        &:last-child {
          padding-left: 0;
          padding-right: 6px;
        }
      }
      input {
        background-image: url("../../../../assets/images/icon\ png/user.png");
        background-size: 17px;
        padding-right: 25px;
        background-position: 96% 50%;
      }
    }

    .password {
      width: 90%;
      margin: 0 auto;
      div {
        width: 50%;
        display: inline-block;
        padding-right: 6px;
        &:first-child {
          padding-right: 0;
          padding-left: 6px;
        }
      }
      input {
        background-image: url("../../../../assets/images/icon\ png/lock.png");
        background-size: 15px;
        padding-right: 25px;
        background-position: 96% 50%;
      }
      p {
        margin-top: 12px;
        color: red;
        font-size: 12px;
        font-weight: bold;
        background-color: $background-color;
        padding: 7px;
        border-radius: 7px;
      }
    }

    .select {
      width: 90%;
      margin: 0 auto;
      padding: 7px 0;
      div {
        position: relative;
        width: 33.33%;
        display: inline-block;
        padding-left: 6px;
        &:last-child {
          padding-left: 0;
        }

        input {
          background-image: url("../../../../assets/images/angle_down.png");
          background-position: 3% 50%;
          background-size: 12px;
          background-repeat: no-repeat;
          display: block;
          width: 100%;
          border: 1px solid #bbbbbb;
          color: $description-color;
          font-size: 10px;
          font-weight: bold;
          height: 40px;
          border-radius: 7px;
          transition: 1s all;
          padding: 4px 7px 4px 15px;
          &:focus {
            box-shadow: none;
            outline: none;
          }
        }

        .dropdown {
          list-style-type: none;
          padding: 0;
          margin: 0;
          overflow: hidden;
          max-height: 0;
          position: absolute;
          top: 40px;
          right: 0;
          background-color: white;
          z-index: 999;
          width: 95%;
          box-shadow: 1px 1px 4px #cccccc;
          transition: 0.2s ease-in-out;
          border-radius: 7px;
          &::-webkit-scrollbar {
            width: 8px;
          }

          &::-webkit-scrollbar-track {
            box-shadow: inset 0 0 6px rgba(0, 0, 0, 0);
          }

          &::-webkit-scrollbar-thumb {
            background-color: #aaaaaa;
            border-radius: 40px;
            background-clip: content-box;
          }
          li {
            padding: 10px 7px;
            font-size: 12px;
            font-weight: bold;
            color: $description-color;
            cursor: pointer;
            &:hover {
              background-color: #dddddd;
            }
          }
        }
        &:last-child {
          .dropdown {
            width: 100%;
          }
        }
      }
    }

    .login-btn {
      width: 90%;
      margin: 0 auto;
      padding: 7px 0;
      button {
        background-color: $aqua-color;
        display: flex;
        width: 100%;
        padding: 5px 20px;
        text-align: center;
        cursor: pointer;
        border-radius: 7px;
        height: 40px;
        font-size: 13px;
        font-weight: 600;
        transition: 0.4s all;
        transform: scale(1);
        background-color: -internal-light-dark-color($aqua-color, $aqua-color);
        border-style: none;
        box-shadow: 1px 1px 7px #aaaaaa;
        &:hover {
          transform: scale(1.07);
        }
        img {
          width: 30px;
          height: 30px;
        }
        span {
          padding-top: 5px;
          margin: 0 auto;
          color: white;
        }
        &:disabled {
          cursor: not-allowed;
          opacity: 0.6;
        }
      }
    }
    .errors {
      width: 90%;
      margin: 0 auto;
      color: red;
      font-size: 12px;
      font-weight: bold;
      background-color: $background-color;
      padding: 4px;
      border-radius: 7px;
      div {
        padding: 4px 0;
      }
    }
  }
  .bottom {
    border-top: 1px solid #dddddd;
    margin-top: 15px;
    a {
      text-decoration: none;
      width: 90%;
      display: block;
      margin: 0 auto;
      text-align: right;
      padding: 20px 0;
      color: $aqua-color;
      font-weight: bold;
      font-size: 14px;
      cursor: pointer;
    }
  }
  input::placeholder {
    transition: 0.3s all ease-in-out !important;
  }
}

.show-dropdown {
  display: block !important;
  max-height: 250px !important;
  overflow: auto !important;
}

@media screen and (max-width: 500px) {
  input::placeholder {
    font-size: 9px !important;
    color: #444444 !important;
    font-weight: 300 !important;
  }
  .box {
    .title {
      p {
        font-size: 12px !important;
        a {
          fa-icon {
            font-size: 14px !important;
          }
        }
        span {
          font-size: 14px !important;
        }
      }
    }
  }
}
